#-----------------------------------------------------
# class Window_CG
# 回想部屋のCGを表示するウィンドウクラス
#-----------------------------------------------------

class Window_CG < Window_Command
  #待機,攻撃の2パターンしかない敵IDかどうか判定
  def none_ejac?
    return [16,42].include?(@spriteset.enemy_id)
  end
  # 桁数の取得
  def col_max
    return 4
  end
  # カーソルを下に移動
  def cursor_down
    if row < row_max - 1
      select(@index + col_max)
    else
      select(@index - 12)
    end
  end
  # カーソルを上に移動
  def cursor_up
    if row + 1 > 1
      select(@index - col_max)
    else
      select(@index + 12)
    end
  end
  # カーソルを右に移動
  def cursor_right
    if column + 1 < col_max
      select(@index + 1)
    else
      select(@index - 3)
    end
  end
  # カーソルを左に移動
  def cursor_left
    if column + 1 > 1
      select(@index - 1)
    else
      select(@index + 3)
    end
  end
  # 更新
  def update
    super
    case index
    # 待機
    when 0
      @spriteset.attack = 0
      @spriteset.expression = 0
    when 1
      @spriteset.attack = 0
      @spriteset.expression = 1
    when 2
      @spriteset.attack = 0
      @spriteset.expression = 2
    when 3
      @spriteset.attack = 0
      @spriteset.expression = 3
    # 攻撃
    when 4
      @spriteset.attack = 1
      @spriteset.expression = 0
    when 5
      @spriteset.attack = 1
      @spriteset.expression = 1
    when 6
      @spriteset.attack = 1
      @spriteset.expression = 2
    when 7
      @spriteset.attack = 1
      @spriteset.expression = 3
    # 射精（中）
    when 8
      @spriteset.attack = none_ejac? ? 0 : 2
      @spriteset.expression = 0
    when 9
      @spriteset.attack = none_ejac? ? 0 : 2
      @spriteset.expression = 1
    when 10
      @spriteset.attack = none_ejac? ? 0 : 2
      @spriteset.expression = 2
    when 11
      @spriteset.attack = none_ejac? ? 0 : 2
      @spriteset.expression = 3
    # 射精（外）
    when 12
      @spriteset.attack = none_ejac? ? 1 : 3
      @spriteset.expression = 0
    when 13
      @spriteset.attack = none_ejac? ? 1 : 3
      @spriteset.expression = 1
    when 14
      @spriteset.attack = none_ejac? ? 1 : 3
      @spriteset.expression = 2
    when 15
      @spriteset.attack = none_ejac? ? 1 : 3
      @spriteset.expression = 3
    end
  end
  # ヘルプウィンドウの更新
  def update_help
    case index
      when 0; @help_window.set_text("　　　待機 - 表情1")
      when 1; @help_window.set_text("　　　待機 - 表情2")
      when 2; @help_window.set_text("　　　待機 - 表情3")
      when 3; @help_window.set_text("　　　待機 - 表情4")
      when 4; @help_window.set_text("　　　攻撃 - 表情1")
      when 5; @help_window.set_text("　　　攻撃 - 表情2")
      when 6; @help_window.set_text("　　　攻撃 - 表情3")
      when 7; @help_window.set_text("　　　攻撃 - 表情4")
      when 8; @help_window.set_text("射精（中） - 表情1")
      when 9; @help_window.set_text("射精（中） - 表情2")
      when 10; @help_window.set_text("射精（中） - 表情3")
      when 11; @help_window.set_text("射精（中） - 表情4")
      when 12; @help_window.set_text("射精（外） - 表情1")
      when 13; @help_window.set_text("射精（外） - 表情2")
      when 14; @help_window.set_text("射精（外） - 表情3")
      when 15; @help_window.set_text("射精（外） - 表情4")
    end
  end
  # スプライトの取得
  def spriteset=(spriteset)
    @spriteset = spriteset
  end
  # OKキー無効化
  def process_ok
  end
  # 決定/キャンセル処理、コンソール表示／非表示を追加
  def process_handling
    super
    return call_handler(:console) if Key.push?(K_ESCAPE)
  end
end
